Bug 39677

Summary: Missing space in jmeter.bat
Product: JMeter - Now in Github Reporter: glhez <glhez>
Component: MainAssignee: JMeter issues mailing list <issues>
Status: RESOLVED FIXED    
Severity: trivial    
Priority: P2    
Version: Nightly (Please specify date)   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   

Description glhez 2006-05-29 17:09:15 UTC
There is a little problem with the jmeter.bat that shift with the last nightly
build (29 mai). The last line should be changed to this :

%JM_START% %JM_LAUNCH% %JVM_ARGS% %ARGS% -jar "%JMETER_BIN%ApacheJMeter.jar"
%JMETER_CMD_LINE_ARGS%

Instead of 

%JM_START% %JM_LAUNCH% %JVM_ARGS% %ARGS% -jar %JMETER_BIN%ApacheJMeter.jar
%JMETER_CMD_LINE_ARGS%

Because if the %JMETER_BIN% env var contains space, it will fail (it will try to
launch the jar file c:/documents, etc).

Using "" will correct that thing.
Comment 1 Sebb 2006-05-30 17:51:25 UTC
Thanks, applied to 2.1 branch
Comment 2 The ASF infrastructure team 2022-09-24 20:37:37 UTC
This issue has been migrated to GitHub: https://github.com/apache/jmeter/issues/1731